program checkoutput
use realsame_mod
use dal
use errorhandling

implicit none

type(DataSetT)  :: listDataSet
type(TableT)    :: tableDataSet
type(ColumnT)   :: listColumn
real(kind=single), pointer :: mag(:)
integer i,nrows
logical ok

listDataSet = dataSet("oswlist.fts", read)
tableDataSet = table(listDataSet, "SRCLIST")
listColumn = column(tableDataSet, "MAG",read)
nrows = numberofRows(tableDataSet)
mag => real32Data(listColumn)

ok = .true.

do i = 0,  nrows-1
  if (mag(i) < 0.) ok = .false.
enddo
if (.not.ok) call error("negs","Negative mags")


call release(listDataSet)
end
